Subject: [bug#27938] [PATCH] gnu: git: Enable tests.

From: Leo Famulari <[email-masked]>
Date: Thu, 3 Aug 2017 18:15:34 -0400

On Thu, Aug 03, 2017 at 11:07:30PM +0200, Marius Bakke wrote:
> * gnu/packages/version-control.scm (git)[arguments]: Remove #:tests?. Add
> 'patch-tests' phase.

Wow, awesome! LGTM.

> +            ;; Un-do shebang patching here to prevent checksum mismatch.
> +            (substitute* '("t/t4034/perl/pre" "t/t4034/perl/post")
> +              (("^#!.*/bin/perl") "#!/usr/bin/perl"))

I've been thinking, we should have a way to pass a list of directories
or files to exclude from the shebang patcher. We have a few packages
that include files where patching the shebang is the wrong thing to do.
For example, the Git example hook scripts.